apiVersion: apps/v1
kind: Deployment
metadata:
  name: lingarr
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: lingarr
  template:
    metadata:
      labels:
        app: lingarr
    spec:
      containers:
        - name: lingarr
          image: lingarr/lingarr:latest
          ports:
            - containerPort: 9876
          env:
            - name: ASPNETCORE_URLS
              value: "http://+:9876"
            - name: WHISPER_BASE_URL
              value: "http://whisperasr-service.stack-arr.svc.cluster.local:9000"
            - name: SOURCE_LANGUAGE
              value: "auto"
            - name: TARGET_LANGUAGE
              value: "pt"
          volumeMounts:
            - name: config
              mountPath: /app/config
      volumes:
      - name: config
        persistentVolumeClaim:
          claimName: lingarr-config-pvc
